VirtualBox Main API

Public Member Functions | List of all members
IWebsessionManager Interface Reference

Websession manager. More...

Inheritance diagram for IWebsessionManager:

## Public Member Functions
void | logon (in wstring username, in wstring password, [retval] out IVirtualBox return)
| Logs a new client onto the webservice and returns a managed object reference to the IVirtualBox instance, which the client can then use as a basis to further queries, since all calls to the VirtualBox API are based on the IVirtualBox interface, in one way or the other.
void | getSessionObject (in IVirtualBox refIVirtualBox, [retval] out ISession return)
| Returns a managed object reference to a new ISession object for every call to this method.
void | logoff (in IVirtualBox refIVirtualBox)
| Logs off the client who has previously logged on with IWebsessionManager::logon and destroys all resources associated with the websession (most importantly, all managed objects created in the server while the websession was active).

## Detailed Description

Websession manager.

This provides essential services to webservice clients.

Interface ID:
  `{930C8FEA-453A-4A65-ACA9-19ED9A872F88}`

## Member Function Documentation

## ◆ logon()

void IWebsessionManager::logon | ( | in wstring | username,
|  | in wstring | password,
|  | [retval] out IVirtualBox | return
| ) |  |

Logs a new client onto the webservice and returns a managed object reference to the IVirtualBox instance, which the client can then use as a basis to further queries, since all calls to the VirtualBox API are based on the IVirtualBox interface, in one way or the other.

## ◆ getSessionObject()

void IWebsessionManager::getSessionObject | ( | in IVirtualBox | refIVirtualBox,
|  | [retval] out ISession | return
| ) |  |

Returns a managed object reference to a new ISession object for every call to this method.

See also
  ISession

## ◆ logoff()

void IWebsessionManager::logoff | ( | in IVirtualBox | refIVirtualBox | ) |

Logs off the client who has previously logged on with IWebsessionManager::logon and destroys all resources associated with the websession (most importantly, all managed objects created in the server while the websession was active).